Ubuntu: Protocol sftp not supported or disabled in libcurl

SFTP protocol is supported in libcurl3 Debian wheezy and sid packages, however, NOT in Ubuntu latest packages (quantal).

The easiest way to solve this problem is to install libcurl3 from Debian sources.

sudo add-apt-repository "deb http://ftp.cn.debian.org/debian wheezy main"
sudo apt-get update

Before installing libcurl3, you may check the version table to see if you are about to install the one from Debian :

sudo apt-cache policy libcurl3

if not, you may either pick a version to install:

sudo apt-get install libcurl3=xxx (for example: sudo apt-get install libcurl3=7.26.0-1)

or install the unstable version

sudo add-apt-repository "deb http://ftp.cn.debian.org/debian sid main"
sudo apt-get update && sudo apt-get install libcurl3

Advertisements

发表评论

Fill in your details below or click an icon to log in:

WordPress.com 徽标

You are commenting using your WordPress.com account. Log Out /  更改 )

Google+ photo

You are commenting using your Google+ account. Log Out /  更改 )

Twitter picture

You are commenting using your Twitter account. Log Out /  更改 )

Facebook photo

You are commenting using your Facebook account. Log Out /  更改 )

w

Connecting to %s